Summary:        Plain Text to PostScript converter
Name:           paps
Version:        0.8.0
Release:        1%{?dist}
License:        LGPLv2+
URL:            http://paps.sourceforge.net/
Source0:        https://github.com/dov/paps/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        paps.convs
Source2:        29-paps.conf

Patch0000:      %{name}-fix-src-to-paps.patch
Patch0001:      %{name}-fix-build.patch

BuildRequires:  make pango-devel automake autoconf
BuildRequires:  libtool doxygen cups-devel intltool
BuildRequires:  fmt-devel gcc-c++

%description
paps reads a UTF-8 encoded file and generates a PostScript language
rendering of the file. The rendering is done by creating outline
curves through the pango ft2 backend.

%package -n texttopaps
Summary:        CUPS filter based on paps
Requires:       cups-filesystem fontpackages-filesystem

%description -n texttopaps
This package contains a CUPS filter based on paps.


%prep
%autosetup -n %{name}-%{version} -p1


%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING.LIB
%doc AUTHORS README
%{_bindir}/paps
%{_bindir}/src-to-paps
%{_mandir}/man1/paps.1*
%{_datadir}/paps/pango_markup.outlang


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.8.0-1
- Upgrade to version 0.8.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Mar 16 2023 cunshunxia <cunshunxia@tencent.com> - 0.7.1-1
- initial build
